TestListenerTest
Keywords: junit.tests.framework.TestListenerTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.framework
Class TestListenerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.framework.TestListenerTest

All Implemented Interfaces:
  Test, TestListener

    public class TestListenerTest

extends TestCase
implements TestListener

Constructor Summary
`TestListenerTest()`

Method Summary
`void` | `addError(Test test, java.lang.Throwable t)` An error occurred.
`void` | `addFailure(Test test, AssertionFailedError t)` A failure occurred.
`void` | `endTest(Test test)` A test ended.
`protected void` | `setUp()` Sets up the fixture, for example, open a network connection.
`void` | `startTest(Test test)` A test started.
`void` | `testError()`
`void` | `testFailure()`
`void` | `testStartStop()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestListenerTest

    public TestListenerTest()

Method Detail

### addError

    public void addError(Test test,
                         java.lang.Throwable t)

  Description copied from interface: `TestListener`
  An error occurred.

  Specified by:
    `addError` in interface `TestListener`

### addFailure

    public void addFailure(Test test,
                           AssertionFailedError t)

  Description copied from interface: `TestListener`
  A failure occurred.

  Specified by:
    `addFailure` in interface `TestListener`

### endTest

    public void endTest(Test test)

  Description copied from interface: `TestListener`
  A test ended.

  Specified by:
    `endTest` in interface `TestListener`

### setUp

    protected void setUp()

  Description copied from class: `TestCase`
  Sets up the fixture, for example, open a network connection. This method is called before a test is executed.

  Overrides:
    `setUp` in class `TestCase`

### startTest

    public void startTest(Test test)

  Description copied from interface: `TestListener`
  A test started.

  Specified by:
    `startTest` in interface `TestListener`

### testError

    public void testError()

### testFailure

    public void testFailure()

### testStartStop

    public void testStartStop()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD